# Geometry  function used for PAGGF


def is_list_of_polygon_internal_angles(vertex_angles_list):
    """ Check if the angles of a polygon are internal"""
    # if internal the sum of the vertex is (n - 2) * 180
    # otherwise it is (360 * n) - ((n - 2) * 180) where
    # n is the number of vertices
    vertices_nbr = len(vertex_angles_list)
    vertex_angles_sum = 0

    for angle in vertex_angles_list:
        if angle is None:
            raise Exception('''angle is none in the function \n
is_list_of_polygon_internal_angles''')
        else:
            vertex_angles_sum += angle

    if round(vertex_angles_sum) == (vertices_nbr - 2) * 180:
        return True
    else:
        return False


if __name__ == '__main__':
    print(is_list_of_polygon_internal_angles([90, 90, 90, 90]))
    print(is_list_of_polygon_internal_angles([270, 270, 270, 270]))
